Exports
List
Lists all of the artifact versions exports associated with an export target.
GET
/
artifacts
/
v1
/
exports
List
curl --request GET \
--url https://mycluster.domino.tech/flows/api/artifacts/v1/exportsimport requests
url = "https://mycluster.domino.tech/flows/api/artifacts/v1/exports"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/artifacts/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"artifact": {
"artifactId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"execution": {
"domain": "<string>",
"name": "<string>",
"project": "<string>"
},
"executionDetails": {
"workflowCreatedAt": "2023-11-07T05:31:56Z",
"workflowName": "<string>",
"workflowVersion": "<string>"
},
"exports": [
{
"createdAt": "2023-11-07T05:31:56Z",
"exportTargetId": "<string>",
"tags": {},
"type": "<string>",
"uri": "<string>",
"$schema": "https://example.com/schemas/ArtifactVersionExportInfo.json"
}
],
"name": "<string>",
"type": "<string>",
"userId": "<string>",
"userName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"exportTargetId": "<string>",
"tags": {},
"type": "<string>",
"uri": "<string>"
}
]{
"$schema": "https://example.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Query Parameters
Export type: dataset, netapp-volume, report, model
Export target ID e.g. Domino Dataset ID
Response
object[] | null
OK
Show child attributes
Show child attributes
Time of export creation
e.g. Dataset ID
Map of key-value tags, such as datasetSnapshotId=67d31cdfd5439671479939b4.
Show child attributes
Show child attributes
Export type: dataset, netapp-volume, report, model
Permalink to the entity containing the export e.g. Snapshot permalink
Last modified on August 19, 2026
Was this page helpful?
⌘I
List
